/*This is a data file for a green wine bottle with a cork in it. It requires an image_map for the label. I used one I made in Corel Draw, you will have to supply your own.*/ 

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

/*camera { //un-comment the camera and light source to make adjustments
  location  <0 .5 -2>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <0 .5 2>
}*/

/*object {
  light_source {<-4 5 -4> color White}
}*/

/*object { //makes the bottle easier to see
  sphere {<0 0 0> 1000}
  texture {color White}
}*/

declare Wine_Bottle=
composite {
  object {          //bottom of bottle
    intersection {
      quadric { Cylinder_Y scale <.35 1 .35>}
      plane {<0 1 0> -1 translate <0 1 0>}
      plane {<0 1 0>-1 inverse translate <0 .5 0>}
      //sphere {<0 0 0> .5}
    }
    texture {
      color green 1.0 alpha 0.5
      specular 1.0
      refraction 1.0
      reflection .15
      roughness .001
      ior 1.5
      phong 1 phong_size 80
    }
  }
  object { //this is the middle of the bottle with the lable
    intersection {
      quadric { Cylinder_Y scale <.35 1 .35>}
      plane {<0 1 0> -1 translate <0 1.75 0>}
      plane {<0 1 0> -1 inverse translate <0 1 0>}
    }
    texture {              //color White}
      	image_map {gif "gallo.gif" map_type 2 interpolate 4} //substitute your own gif
        scale <.2 .8 .2>
        rotate <0 -90 0>
        translate <0 -.025 0>
    }
  }
  object {  //this is the neck of the bottle
    intersection {
      quadric { Hyperboloid_Y scale <.1 1 .1> translate <0 2.35 0>}
      plane {<0 1 0> -1 translate <0 2.65 0>}
      plane {<0 1 0> -1 inverse translate <0 2 0>}
    }
    texture {
      color green 1.0 alpha 0.5
      specular 1.0
      refraction 1.0
      reflection .15
      roughness .001
      ior 1.5
      phong 1 phong_size 80
    }
  }
  object {   //this is the base of the neck
    sphere {<0 .75 0> .35}
    texture {
      color green 1.0 alpha 0.5
      specular 1.0
      refraction 1.0
      reflection .15
      roughness .001
      ior 1.5
      phong 1 phong_size 80
    }
  }
  object {   //this is the neck of the bottle
    intersection {
      quadric {Cylinder_Y scale <.15 1 .15> }
      plane {<0 1 0> -1 translate <0 2.85 0>}
      plane {<0 1 0> -1 inverse translate <0 2.65 0>}
    }
    texture {
      color green 1.0 alpha 0.5
      specular 1.0
      refraction 1.0
      reflection .15
      roughness .001
      ior 1.5
      phong 1 phong_size 80
    }
  }
  object {   //this is the cork
    intersection {
      quadric {Cylinder_Y scale <.12 1 .12>}
      plane {<0 1 0> -1 translate <0 3 0>}
      plane {<0 1 0> -1 inverse translate <0 2.85 0>}
    }
    texture {
      color Tan
      bumps .1
    }
  }
}
